Bug 238822 - databases/clickhouse update to 19.9.2.4
Summary: databases/clickhouse update to 19.9.2.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2019-06-26 11:01 UTC by proler
Modified: 2019-08-09 17:13 UTC (History)
3 users (show)

See Also:


Attachments
patch (82.59 KB, patch)
2019-06-26 11:01 UTC, proler
no flags Details | Diff
Build error log from poudriere (65.03 KB, application/x-xz)
2019-06-29 11:35 UTC, Thomas Zander
no flags Details
clickhouse-19.9.2.4 (24.14 KB, patch)
2019-08-05 16:19 UTC, Sergey Akhmatov
sergey: maintainer-approval? (proler)
Details | Diff
clickhouse-19.11.5.28 (33.83 KB, patch)
2019-08-06 11:21 UTC, proler
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Thomas Zander freebsd_committer 2019-06-29 11:31:42 UTC
Apparently there is something wrong with the install target. Seems most of the port installs in the wrong directories.

I'll attach a poudriere build log, please have a look
Comment 2 Thomas Zander freebsd_committer 2019-06-29 11:35:18 UTC
Created attachment 205411 [details]
Build error log from poudriere
Comment 3 Sergey Akhmatov 2019-08-05 16:17:36 UTC
(In reply to Thomas Zander from comment #2)
I've looked at this port and all the files poudriere complains about look very wrong. It doesn't seem they even should be there.

E.g.:
Error: Missing: %%DATADIR%%/headers/%%SOVERSION%%/usr/lib/clang/6.0.0/include/xtestintrin.h
Error: Missing: %%DATADIR%%/headers/%%SOVERSION%%/usr/local/include/Poco/Alignment.h

Why should parts of base clang be installed with the port?

Simply deleting all this from pkg-plist fixed build for me, clickhouse starts and works normally. I'll attach the patch, have a look please.
Comment 4 Sergey Akhmatov 2019-08-05 16:19:24 UTC
Created attachment 206296 [details]
clickhouse-19.9.2.4

Please, have a look at the patch with fixed pkg-plist. Lots of files seems to be there by mistake.
Comment 5 proler 2019-08-06 11:20:17 UTC
It was not mistake, it some internal specialty with depend on llvm.
Comment 6 proler 2019-08-06 11:21:31 UTC
Created attachment 206303 [details]
clickhouse-19.11.5.28

Update to 19.11.5.28 with cleaned header files
Comment 7 commit-hook freebsd_committer 2019-08-09 10:23:29 UTC
A commit references this bug:

Author: riggs
Date: Fri Aug  9 10:22:44 UTC 2019
New revision: 508434
URL: https://svnweb.freebsd.org/changeset/ports/508434

Log:
  Update to upstream version 19.11.5.28

  PR:		238822
  Submitted by:	proler@gmail.com (maintainer)

Changes:
  head/databases/clickhouse/Makefile
  head/databases/clickhouse/distinfo
  head/databases/clickhouse/pkg-plist